List Batch TransactionsAsk AIget https://test.api.promisepay.com/batch_transactionsRetrieve an ordered and paginated list of existing Batch Transactions. The list can be filtered by Account, Batch ID, Item, and Transaction Type.Query Paramslimitinteger1 to 200Defaults to 10Number of records to retrieve. Up to 200.offsetinteger≥ 0Defaults to 0Number of records to offset. Required for pagination.account_idstringBank, Card or Wallet Account ID.batch_idstringBatch ID. This appears on a bank reference.item_idstringItem IDtransaction_typestringenumThe type of transaction. Options for querying are: payment, refund, disbursement, fee, deposit, withdrawal. For returned values please refer here: Enumeration Values for the full listpaymentrefunddisbursementfeedepositwithdrawalAllowed:paymentrefunddisbursementfeedepositwithdrawaltransaction_type_methodstringenumThe method the transaction was carried out with. Options for querying are: credit_card, npp, bpay, wire_transfer, wallet_account_transfer, misc. For returned values please refer here: Enumeration Values for the full listcredit_cardnppbpaywallet_account_transferwire_transfermiscAllowed:credit_cardnppbpaywallet_account_transferwire_transfermiscdirectionstringenumDirection of the transaction. Options are debit, creditdebitcreditAllowed:debitcreditcreated_beforestringDate and time in ISO 8601 format the item(s) were created before (e.g. 2020-02-27T23:54:59Z)created_afterstringDate and time in ISO 8601 format the item(s) were created after (e.g. 2020-02-27T23:54:59Z)disbursement_bankstringThe bank used for disbursing the payment. Please use a default value of anyprocessing_bankstringThe bank used for processing the payment. Please use a default value of anyResponse 200OKUpdated 5 months ago